VREDeployerServiceImpl (gCube VRE Deploy Wizard Portlet 3.4.0-SNAPSHOT API)
Date: 2015-11-02

org.gcube.portlets.admin.vredeployer.server

## Class VREDeployerServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.admin.vredeployer.server.VREDeployerServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, VredeployerService

      public class VREDeployerServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements VredeployerService

  The server side implementation of the RPC service.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPROVE_MODE`
    `static String` | `EDIT_MODE`
    `static String` | `MODE_ATTRIBUTE`
    `protected static String` | `ORGANIZATION_DEFAULT_LOGO`
    `protected static String` | `ORGANIZATION_DEFAULT_LOGO_URL`
    `static String` | `REEDIT_TYPE_ATTRIBUTE`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREDeployerServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientDeployReport` | `checkCreateVRE()`
    `protected static com.liferay.portal.model.Role` | `createRole(String roleName, String vreName, long userid)` Create a Regular Manager Role for the community
    `boolean` | `deployVRE()`
    `List<GHNProfile>` | `getAvailableGHNs()` return the ghn available list
    `org.gcube.portal.custom.communitymanager.components.GCUBESiteLayout` | `getBaseLayout(String voName, org.gcube.portal.custom.communitymanager.impl.OrganizationManagerImpl orgManager, boolean isVO)`
    `int` | `getCloudVMSelected()`
    `VREFunctionalityModel` | `getFunctionality()` read the available functionality from the service through ASL extension
    `void` | `getGHNPerFunctionality(String funcId)`
    `String` | `getHTMLReport()`
    `VREDescrBean` | `getVRE()` return the VRE Overall Information
    `VREDeployerStatusType` | `isApprovingModeEnabled()`
    `int` | `isCloudSelected()`
    `boolean` | `setCloudDeploy(int virtualMachines)`
    `boolean` | `setGHNsSelected(String[] selectedGHNIds)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ORGANIZATION_DEFAULT_LOGO

          protected static final String ORGANIZATION_DEFAULT_LOGO

      See Also:
        Constant Field Values

    - #### ORGANIZATION_DEFAULT_LOGO_URL

          protected static final String ORGANIZATION_DEFAULT_LOGO_URL

      See Also:
        Constant Field Values

    - #### APPROVE_MODE

          public static final String APPROVE_MODE

      See Also:
        Constant Field Values

    - #### EDIT_MODE

          public static final String EDIT_MODE

      See Also:
        Constant Field Values

    - #### REEDIT_TYPE_ATTRIBUTE

          public static final String REEDIT_TYPE_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### MODE_ATTRIBUTE

          public static final String MODE_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VREDeployerServiceImpl

          public VREDeployerServiceImpl()

  - ### Method Detail

    - #### isApprovingModeEnabled

          public VREDeployerStatusType isApprovingModeEnabled()

      Specified by:
        `isApprovingModeEnabled` in interface `VredeployerService`

    - #### getVRE

          public VREDescrBean getVRE()
                              throws NullPointerException

      return the VRE Overall Information
      Specified by:
        `getVRE` in interface `VredeployerService`
      Throws:
        `NullPointerException`

    - #### getFunctionality

          public VREFunctionalityModel getFunctionality()

      read the available functionality from the service through ASL extension
      Specified by:
        `getFunctionality` in interface `VredeployerService`

    - #### getGHNPerFunctionality

          public void getGHNPerFunctionality(String funcId)

      Specified by:
        `getGHNPerFunctionality` in interface `VredeployerService`

    - #### getAvailableGHNs

          public List<GHNProfile> getAvailableGHNs()

      return the ghn available list
      Specified by:
        `getAvailableGHNs` in interface `VredeployerService`
      Returns:
      Throws:
        `RemoteException`

    - #### setGHNsSelected

          public boolean setGHNsSelected(String[] selectedGHNIds)

      Specified by:
        `setGHNsSelected` in interface `VredeployerService`
      Parameters:
        `selectedGHNIds` -
        `idCandidateGHN` -
      Returns:

    - #### isCloudSelected

          public int isCloudSelected()

      Specified by:
        `isCloudSelected` in interface `VredeployerService`
      Returns:

    - #### getCloudVMSelected

          public int getCloudVMSelected()

      Specified by:
        `getCloudVMSelected` in interface `VredeployerService`

    - #### setCloudDeploy

          public boolean setCloudDeploy(int virtualMachines)

      Specified by:
        `setCloudDeploy` in interface `VredeployerService`
      Parameters:
        `virtualMachines` -
      Returns:

    - #### deployVRE

          public boolean deployVRE()

      Specified by:
        `deployVRE` in interface `VredeployerService`

    - #### checkCreateVRE

          public ClientDeployReport checkCreateVRE()

      Specified by:
        `checkCreateVRE` in interface `VredeployerService`

    - #### getHTMLReport

          public String getHTMLReport()

      Specified by:
        `getHTMLReport` in interface `VredeployerService`
      Returns:
        the html representation of the report

    - #### createRole

          protected static com.liferay.portal.model.Role createRole(String roleName,
                                                 String vreName,
                                                 long userid)

      Create a Regular Manager Role for the community
      Parameters:
        `vreName` -
      Returns:
      Throws:
        `com.liferay.portal.kernel.exception.PortalException`
        `com.liferay.portal.kernel.exception.SystemException`

    - #### getBaseLayout

          public org.gcube.portal.custom.communitymanager.components.GCUBESiteLayout getBaseLayout(String voName,
                                                                                          org.gcube.portal.custom.communitymanager.impl.OrganizationManagerImpl orgManager,
                                                                                          boolean isVO)
                                                                                            throws com.liferay.portal.kernel.exception.PortalException,
                                                                                                   com.liferay.portal.kernel.exception.SystemException

      Returns:
        the built layout of a rootVO
      Throws:
        `com.liferay.portal.kernel.exception.SystemException` - .
        `com.liferay.portal.kernel.exception.PortalException` - .

Copyright © 2015. All Rights Reserved.